---
updatedAt: 2025-10-08T22:07:14.000Z
agentTools:
  projectIndex: https://docs.quable.com/llms.txt
---

# Update an AttributeGroup

Replaces the EavAttributeGroup resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation v5",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/attribute-groups/{id}": {
      "put": {
        "operationId": "putEavAttributeGroupItem",
        "tags": [
          "Data Model"
        ],
        "responses": {
          "200": {
            "description": "EavAttributeGroup resource updated",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupOutput.jsonld-attributeGroup.output"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupOutput-attributeGroup.output"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupOutput-attributeGroup.output"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupOutput-attributeGroup.output"
                }
              }
            },
            "links": {
              "GetEavAttributeGroupItem": {
                "operationId": "getEavAttributeGroupItem",
                "parameters": {
                  "code": "$response.body#/code"
                },
                "description": "The `code` value returned in the response can be used as the `code` parameter in `GET /attribute-groups/{id}`."
              }
            }
          },
          "400": {
            "description": "Invalid input"
          },
          "404": {
            "description": "Resource not found"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Update an AttributeGroup",
        "description": "Replaces the EavAttributeGroup resource.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Resource identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The updated EavAttributeGroup resource",
          "content": {
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupInput.jsonld-attributeGroup.input.update"
              }
            },
            "application/hal+json": {
              "schema": {
                "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupInput-attributeGroup.input.update"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupInput-attributeGroup.input.update"
              }
            },
            "text/html": {
              "schema": {
                "$ref": "#/components/schemas/EavAttributeGroup.AttributeGroupInput-attributeGroup.input.update"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "EavAttributeGroup.AttributeGroupInput-attributeGroup.input.update": {
        "type": "object",
        "properties": {
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "EavAttributeGroup.AttributeGroupInput.jsonld-attributeGroup.input.update": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "EavAttributeGroup.AttributeGroupOutput-attributeGroup.output": {
        "type": "object",
        "properties": {
          "parent": {
            "$ref": "#/components/schemas/EmbedAttributeGroup-attributeGroup.output"
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "dateCreated": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "createdBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput-attributeGroup.output"
              }
            ]
          },
          "updatedBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput-attributeGroup.output"
              }
            ]
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "legacyId": {
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "EavAttributeGroup.AttributeGroupOutput.jsonld-attributeGroup.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "parent": {
            "$ref": "#/components/schemas/EmbedAttributeGroup.jsonld-attributeGroup.output"
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "dateCreated": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "createdBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput.jsonld-attributeGroup.output"
              }
            ]
          },
          "updatedBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput.jsonld-attributeGroup.output"
              }
            ]
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "legacyId": {
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "EmbedAttributeGroup-attributeGroup.output": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          }
        }
      },
      "EmbedAttributeGroup.jsonld-attributeGroup.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "type": "string"
          }
        }
      },
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "LanguageTranslation": {
        "type": "object",
        "description": "This structure does accept key & values where key has to be a language code configured in your PIM & the value is the value for this field in this language.",
        "properties": {
          "fr-FR": {
            "type": "string",
            "example": "fr-FR translation"
          },
          "en-US": {
            "type": "string",
            "example": "en-US translation"
          }
        },
        "additionalProperties": {
          "type": "string",
          "example": "additional translation"
        },
        "example": {
          "fr-FR": "fr-FR translation",
          "en-US": "en-US translation",
          "<*>": "..."
        }
      },
      "User.UserOutput-attributeGroup.output": {
        "type": "object",
        "properties": {
          "id": {
            "readOnly": true,
            "type": "integer"
          }
        }
      },
      "User.UserOutput.jsonld-attributeGroup.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "readOnly": true,
            "type": "integer"
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ],
  "x-readme": {}
}
```